Koozali.org formerly Contribs.org

Avahi sur SME

Offline STRyk

  • ****
  • 184
Avahi sur SME
« on: July 31, 2021, 07:48:35 PM »
Est-ce que quelqu'un à déjà réussi à faire fonctionner avahi sur SME ?
J'ai passé un temp infini à essayer de comprendre comment l'installer et le faire fonctionner mais sans succès.
Il fonctionne super bien sur unRAID mais nous sommes loin de SME/Koozali.
Pour que SME cohabite dans mon reseau ca serait parfait si toutefois je trouvais des pistes !
Merci par avance.

Offline Jean-Philippe Pialasse

  • *
  • 1,872
  • aka Unnilennium
    • http://smeserver.pialasse.com
Re: Avahi sur SME
« Reply #1 on: July 31, 2021, 09:57:31 PM »
1 fonctionne bien sur un RAID (qui est un protocol de redondance de disque) ne veut rien dire, avahi est un service de resolution de nom….

2 pourquoi vouloir installer un système de resolution de nom sur un server sur lequel on est censé configurer toutes les ressources c’est normalement plus un service pour les machines clientes

3 dire ce que tu as fait et quelles erreurs tu rencontre serait plus efficace que de dire en d’une facon indirecte « ca marche pas »


Offline STRyk

  • ****
  • 184
Re: Avahi sur SME
« Reply #2 on: July 31, 2021, 10:40:22 PM »
J'avais rédigé un sujet sur le problème. ici :
https://forums.contribs.org/index.php/topic,54436.msg284974.html#msg284974

Depuis ce temps, j'avais tenté des tas de choses régulièrement sans jamais m'en sortir.
Je n'ai pas posté car ca n'apporterai pas grand chose.

Récement, en résumé, j'ai utilisé ceci pour télécharger puis installer les packages :

# yum install --downloadonly --downloaddir=SME_v9.2.0_Avahi-full --enablerepo=smecontribs avahi avahi-tools avahi-ui-tools avahi-utils

J'ai tenté des tas de packages en plus mais je ne vois pas ce qui doit être primordial.

J'avais préparé une réponse au sujet du 26 mars mais au vue de la réponse, ça 'a bien découragé.

En gros :
L'idée vient du fait que j'ai monté une machine avec SME chez un ami qui n'y connait pas grand chose, mais "bidouille" tout de même, sans trop connaitre linux. Le commun des mortels comme nous tous... Voulant un NAS pour sauvegarder ses données et ayant un ancien PC de coté, je lui proposé d'installer et configurer SME. Surtout qu'il n'a pas la possibilité de travailelr et de dépenser une fortune pour ca. le disque de 1To suffira, un second de recyclage sera ajouté pour faire du RAID1 et maintenant j'en ai un à lui donner.
Effectivement pour s'amuser, je me suis bien amusé, il m'a posé plein de questions "X ou Y", parfois farfelues mais ca fait partie d'une ignorance de tout ces systèmes bien organisé que sont OMV, SME et unRAID dont l'utilisateur final n'est pas forcément obligé de mettre lesmains dans le cambouis. C'est bien le but d'un tel système ?.
Il utilise un ordinateur portable Apple de 2005 et il m'a fait voir chez un autre ami ne connaissant encore moins linux, que Linux "unRAID" permettait d'ajouter "bonjour", que le système était "super simple"...
Chose importante surtout : la possibilité de faire passer Linux pour un volume "Time Machine". Ce qui motive mon copain, car l'outil est intéressant pour les sauvegarde Apple. Entre autre leserver passe pour un server Apple.
J'ai donc cherché ce qui faisait cette dfférence avec SME et je me suis rendu compte que c'était Avahi et qu'il était assez utilisé dans le monde Linux. J'étais donc étonné que je n'en ai jamais entendu parlé sur SME. En regardant sur le DVD d'installation j'ai trouvé ceci, les fichier issus du CD d'installation de SME 9.2 :
avahi-autoipd-0.6.25-17.el6.x86_64.rpm
avahi-glib-0.6.25-17.el6.x86_64.rpm
avahi-libs-0.6.25-17.el6.x86_64.rpm

Sans Avahi, depuis un mac voici comment est "traité" SME/Koozali, comme un vulgaire PC ;)

Avec Avahi, suivant le réglage il sera "découvert" comme une machine "Bonjour/Rendez-Vous", comme un Mac.

Concernant la configuration, Avahi utilise et nécessite plusieurs choses, comme "mDNS/DNS", donc j'ai navigué dans plusiurs fichirs de "conf" sans réussir à m'en sortir. Le Mac voit toujours SME comme un PC.

Je me pose donc plei nde questions sans avancer : Comment s'assurer si mDNS/DNS-SD est bien activé et comment bien configurer la chose dans Koozali 9.2 ?

Voilà...

Merci pour m'avoir lu Jean-Philippe. ;)

Et merci à ceux qui ferait avancer la chose pour tout les utilisateur de MacOS, car SME est une très belle distribution mais quasi inconnue des utilisateurs lambda.

Offline Jean-Philippe Pialasse

  • *
  • 1,872
  • aka Unnilennium
    • http://smeserver.pialasse.com
Re: Avahi sur SME
« Reply #3 on: July 31, 2021, 11:09:59 PM »
nous étions donc dans le cas d’un cas XY

ton besoin est un service bonjour


installe la contrib wsdd https://wiki.koozali.org/Wsdd


tu auras besoin certainement d’attendre un peu que le service reconnaisse le reseau et probablement de redémarrer les clients.

Offline STRyk

  • ****
  • 184
Re: Avahi sur SME
« Reply #4 on: July 31, 2021, 11:17:05 PM »
Merci, j'ai essayé mais :

# yum install smeserver-wsdd --enablerepo=smecontribs
...
Aucun paquet smeserver-wsdd disponible.
Erreur : Rien à faire

GLoups !

Offline STRyk

  • ****
  • 184
Re: Avahi sur SME
« Reply #5 on: August 01, 2021, 04:56:34 PM »
J'ai beau essayer de retourner le problèem dans tout les sens je ne comprends pas comment m'en sortir.
Avahi n'est pas la solution ?

Offline ReetP

  • *
  • 2,968
Re: Avahi sur SME
« Reply #6 on: August 01, 2021, 06:01:22 PM »
Quote
chose dans Koozali 9.2

v9.x is no longer supported.

Upgrade to v10 where you will find smeserver-wsdd.
...
1. Read the Manual
2. Read the Wiki
3. Don't ask for support on Unsupported versions of software
4. I have a job, wife, and kids and do this in my spare time. If you want something fixed, please help.

Bugs are easier than you think: http://wiki.contribs.org/Bugzilla_Help

If you love SME and don't want to lose it, join in: http://wiki.contribs.org/Koozali_Foundation

Offline STRyk

  • ****
  • 184
Re: Avahi sur SME
« Reply #7 on: August 01, 2021, 08:40:43 PM »
Mais je ne suis pas sur 10.
J'aimerai que celà fonctionne sur 9.2 et ensuite j'apprendrais avec 10.

J'ai testé et installé "smeserver-wsdd" sur 10 mais je ne sais pas à quoi celà correspond.
Mon Mac ne voit pas le server koozali 10, ni le PC de toute façon.

# systemctl status wsdd
● wsdd.service - Web Services Dynamic Discovery host daemon
   Loaded: loaded (/usr/lib/systemd/system/wsdd.service; enabled; vendor preset: enabled)
  Drop-In: /usr/lib/systemd/system/wsdd.service.d
           └─50-koozali.conf
   Active: active (running) since dim. 2021-08-01 18:46:27 CEST; 9min ago
     Docs: man:wsdd(1)
 Main PID: 1810 (python3)
   CGroup: /system.slice/wsdd.service
           └─1810 python3 /usr/bin/wsdd -4 -i enp0s5 -w workgroup -s

Je ne comprends pas ce que c'est que ce "wsdd".
« Last Edit: August 01, 2021, 08:57:22 PM by STRyk »

Offline ReetP

  • *
  • 2,968
Re: Avahi sur SME
« Reply #8 on: August 01, 2021, 10:17:03 PM »
Quote
Mais je ne suis pas sur 10.
J'aimerai que celà fonctionne sur 9.2 et ensuite j'apprendrais avec 10.

Too late. You should have been testing while we developed and been ready. You have had a couple of years to practice and learn.

v9.x is no longer supported, so unless it is a question on upgrading to v10, please do not ask.

Next please read to understand the issue you are facing.

Quote
Je ne comprends pas ce que c'est que ce "wsdd".

Why did you install something you did not understand?

There is plenty of info on wsdd and what it does. Read here and the wiki.

You can probably install avahi on v10 - have a search for "centos 7 avahi" - but not sure many have 2005 Macs that need support. You'll have to work out how to add services under v10. But that isn't for beginners.

Yes, Koozali SME is simple to install and use in 99% of cases.

But. We can't support all old and EOL hardware & software.

Your 2005 laptop is out of support, is probably insecure, and probably won't support modern protocols, so even if you install Avahi the Mac may not be able to connect. Time to move on.
...
1. Read the Manual
2. Read the Wiki
3. Don't ask for support on Unsupported versions of software
4. I have a job, wife, and kids and do this in my spare time. If you want something fixed, please help.

Bugs are easier than you think: http://wiki.contribs.org/Bugzilla_Help

If you love SME and don't want to lose it, join in: http://wiki.contribs.org/Koozali_Foundation

Offline STRyk

  • ****
  • 184
Re: Avahi sur SME
« Reply #9 on: August 03, 2021, 07:23:43 PM »
Too late. You should have been testing while we developed and been ready. You have had a couple of years to practice and learn.

v9.x is no longer supported, so unless it is a question on upgrading to v10, please do not ask.

Next please read to understand the issue you are facing.
Cool.

Why did you install something you did not understand?
C'est de l'humour ?

Yes, Koozali SME is simple to install and use in 99% of cases.

But. We can't support all old and EOL hardware & software.

Your 2005 laptop is out of support, is probably insecure, and probably won't support modern protocols, so even if you install Avahi the Mac may not be able to connect. Time to move on.
Est-ce de l'humour une nouvelle fois ?
Dois-je aussi tuer mes grand parents car ils sont obsolètes ?
Dois-je jeter tout mon matériel informatique aussi ?
Sincèrement...
A moins que vous puissiez me payer les derniers ordinateurs du moment, pourquoi pas.
Mais il y a une réalité.
A moins d'être dans les étoiles...

Je suis effaré de lire ce genre de choses.  :?

Offline ReetP

  • *
  • 2,968
Re: Avahi sur SME
« Reply #10 on: August 03, 2021, 07:53:59 PM »
Quote
Why did you install something you did not understand?

C'est de l'humour ?

Despite having a really wicked sense of humour, I tend to find it doesn't really help when debugging stuff. Facts, reading a lot, and methodology help.

Install code you do not understand on a machine that doesn't matter - you can play and learn to your hearts content.

Sysadmins do not do that on production machines as it is likely to break them and then you will be asking how to fix your obsolete broken server.

Quote
Is this humor again?

See above

Quote
Should I also kill my grandparents because they are obsolete?

Irrelevant to the point in hand. It is a logical fallacy.

Quote
Should I throw away all my computer equipment too?

Do you still live in a cave?
Do you drive a traction engine to work?
Do you use a portable phone from 2005?
Do you you use punch cards?

What other old devices do you expect us (and RHEL) to support?

Quote
Sincerely ...
Unless you can afford me the latest computers, why not.
But there is a reality.
Unless you're in the stars ...

Seriously, you have had 16 years to save for a new one. Even a newer, not obsolete, secondhand one. And note - most of all my kit is secondhand because *I* can't afford lots of new stuff. I just make sure it is not EOL. You can pick up mountains of cheap second hand gear on ebay or recyclers.

Your 2005 machine will probably not support modern encryption protocols any more than DOS will. And that is where you will struggle for connectivity in 2021. And leave yourself open to being hacked.

Despite what you think, I am not trying to be unkind here. We have seen the same sort of questions asked for years.

I am trying to save you from wasting a lot our time trying to debug something that you don't understand, that none of us use, and that quite possibly will not work on server code that is EOL.

I hope that it will save some of your time too.
...
1. Read the Manual
2. Read the Wiki
3. Don't ask for support on Unsupported versions of software
4. I have a job, wife, and kids and do this in my spare time. If you want something fixed, please help.

Bugs are easier than you think: http://wiki.contribs.org/Bugzilla_Help

If you love SME and don't want to lose it, join in: http://wiki.contribs.org/Koozali_Foundation

Offline STRyk

  • ****
  • 184
Re: Avahi sur SME
« Reply #11 on: August 03, 2021, 08:04:39 PM »
Qui vous dit que c'est sur une machine de "production"...
Qui vous dit que ces machines sont sur "internet" ?
Vos arguments sur les choses obsolètes ne sont pas le sujet et quand bien même on s'en fiche complètement.
Des personnes font de belles choses avec simplement un couteau. Merci pour les arguments mais ça suffit, vous vous epuisez pour rien à devoir imaginer plein de choses.
J'ai plein d'argument mais ca ne fera pas avancer le problème.
Bien sûr on pourrait tout jeter, mais on ne ferait plus rien. L'argent n'est pas tout, l'argent manque à beaucoups...
J'en ai marre de lutter contre des moulins.
Tant pis pour ce sujet. A clore. Autant mourir.
Merci tout de même.
« Last Edit: August 03, 2021, 09:00:03 PM by STRyk »

Offline ReetP

  • *
  • 2,968
Re: Avahi sur SME
« Reply #12 on: August 03, 2021, 11:11:33 PM »
Thanks for those kind words.

I'm trying to be constructive.

Please upgrade to v10.

Please supported equipment.

Regards.
...
1. Read the Manual
2. Read the Wiki
3. Don't ask for support on Unsupported versions of software
4. I have a job, wife, and kids and do this in my spare time. If you want something fixed, please help.

Bugs are easier than you think: http://wiki.contribs.org/Bugzilla_Help

If you love SME and don't want to lose it, join in: http://wiki.contribs.org/Koozali_Foundation

Offline STRyk

  • ****
  • 184
Re: Avahi sur SME
« Reply #13 on: August 03, 2021, 11:15:59 PM »
I also tried version 10 and then?
With 10, none of my machines see Koozali ...
Let us die little by little it will be easier.

Offline ReetP

  • *
  • 2,968
Re: Avahi sur SME
« Reply #14 on: August 03, 2021, 11:49:46 PM »
I also tried version 10 and then?
With 10, none of my machines see Koozali ...

I have already said that now is not the time to be learning about v10 - you have had a couple of years to practice and learn - see the threads on the subject here.

And then desktop your machines are also obsolete, and probably don't understand modern secure protocols as already explained. They might be able to handle SMB3, but you haven't even told us what version of the OS you are using so it is impossible to answer anything.

We are also not going to turn the clock back. Partly because RedHat won't, and then even if they did, we don't want to be supporting insecure and hackable protocols.

No, even I baulk at the many 'advances' in technology. But not on security. We have to move on.

Quote
Let us die little by little it will be easier.

Please leave the dramatics to Shakespeare, and just stick to the facts.

If you have any further questions on v10 and supported desktop OSs then please ask. If not then you are on your won.

Thanks.
...
1. Read the Manual
2. Read the Wiki
3. Don't ask for support on Unsupported versions of software
4. I have a job, wife, and kids and do this in my spare time. If you want something fixed, please help.

Bugs are easier than you think: http://wiki.contribs.org/Bugzilla_Help

If you love SME and don't want to lose it, join in: http://wiki.contribs.org/Koozali_Foundation